### Hierarchy

- unknown
  - GetTradesRequest

## Index

### Constructors

- constructor

### Methods

- getCategory
- serializeBinary
- setCategory
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradesRequest(): GetTradesRequest

- Inherited from jspb.Message.constructor

  #### Returns GetTradesRequest

## Methods

### getCategory

- getCategory(): Category

- - Defined in src/protobuf/grpc_pb.d.ts:2424

  #### Returns Category

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2427

  #### Returns Uint8Array

### setCategory

- setCategory(value: Category ): GetTradesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2425

  #### Parameters

  - ##### value: Category

  #### Returns GetTradesRequest

### toObject

- toObject(includeInstance?: boolean): GetTradesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2428

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradesRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2431

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradesRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradesRequest, reader: BinaryReader): GetTradesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2432

  #### Parameters

  - ##### message: GetTradesRequest

  - ##### reader: BinaryReader

  #### Returns GetTradesRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradesRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2430

  #### Parameters

  - ##### message: GetTradesRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradesRequest ): GetTradesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2429

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradesRequest

  #### Returns GetTradesRequest . AsObject

Generated using TypeDoc